.wp-block-button{
    .wp-block-button__link{
        &:hover{
            background-color: var(--wp--preset--color--secondary);
            color: var(--wp--preset--color--white);
        }
    }

    &.is-style-outline{
        .wp-block-button__link{
            background-color: transparent;
            border: 0px;
            color: var(--wp--preset--color--white);
            outline: 1px solid var(--wp--preset--color--white) !important;
            outline-offset: -1px;
            padding: 8px 20px;

            &:hover{
                background-color: var(--wp--preset--color--primary);
                color: var(--wp--preset--color--secondary);
                outline: 1px solid transparent !important;
            }
        }
    }

    &.is-style-dark{
        .wp-block-button__link{
            background-color: var(--wp--preset--color--secondary);
            color: var(--wp--preset--color--white);

            &:hover{
                background-color: var(--wp--preset--color--primary);
                color: var(--wp--preset--color--secondary);
            }
        }
    }

    &.is-style-white-hover{
        .wp-block-button__link{
            &:hover{
                background-color: var(--wp--preset--color--white) !important;
                color: var(--wp--preset--color--secondary) !important;
            }
        }
    }

    &.is-style-lawn-green-hover{
        .wp-block-button__link{
            &:hover{
                background-color: var(--wp--preset--color--primary) !important;
                color: var(--wp--preset--color--secondary) !important;
            }
        }
    }
}